<template>
  <div class="page-nav">
    <slot />
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
export default defineComponent({
  name: 'Pagenav'
})
</script>

<style lang="scss" scoped>
.page {
  &-nav {
    margin-bottom: 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    @media (min-width: 1199.98px) {
      margin-bottom: 60px;
    }

    ::v-deep ul {
      display: flex;
      flex-wrap: nowrap;
      align-items: center;
      margin: 0px -20px 0 0;
      padding: 0px;
      list-style: none;
      white-space: nowrap;
      overflow-x: auto;
      overflow-y: hidden;
      @media (min-width: 1199.98px) {
        margin-right: -30px;
      }
      li {
        padding-right: 20px;
        @media (min-width: 1199.98px) {
          padding-right: 30px;
        }
        a,
        span {
          display: block;
          font-weight: 500;
          font-size: 24px;
          line-height: 28px;
          letter-spacing: 0px;
          color: #8591ad;
          text-decoration: none;
          @media (min-width: 1199.98px) {
            font-size: 30px;
            line-height: 33px;
          }
          &.is-active {
            color: #ffffff;
          }
        }
        span {
          cursor: not-allowed;
        }
      }

      @media (min-width: 1199.98px) {
        &.size-larger {
          margin: 0px -50px 0 0;
          li {
            padding-right: 50px;
            a {
              font-size: 40px;
              line-height: 60px;
              letter-spacing: 0px;
              font-weight: normal;
              text-transform: uppercase;
              font-weight: 900;
            }
          }
        }
      }
    }
  }
}
@media (min-width: 1199.98px) {
  .page {
    &-nav {
    }
  }
}
</style>
